if I click on an icon a piece of plane disappears

Bug #640398 reported by fulvio marro on 2010-09-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cairo-Dock Core
Undecided
Unassigned

Bug Description

I'm using cairo-dock 2.2 rc1
This happans under ubuntu lucid & maverick
Also when synaptic finishes a work and rotate, a piece of plane under the icon is covered by a halo

Related branches

Matthieu Baerts (matttbe) wrote :

Hello,

Thank you for this bug report!
But can you give us more details:
 * What's your WM? (Compiz, Kwin, Metacity)
 * "a piece of plane disappears" => is it a Compiz effect? With which window?
 * Can you post here a screencast (or a screenshot)?

2010/9/16 Matthieu Baerts <email address hidden>

> Hello,
>
> Thank you for this bug report!
> But can you give us more details:
> * What's your WM? (Compiz, Kwin, Metacity)
> * "a piece of plane disappears" => is it a Compiz effect? With which
> window?
> * Can you post here a screencast (or a screenshot)?
>
> --
> if I click on an icon a piece of plane disappears
> https://bugs.launchpad.net/bugs/640398
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Cairo-Dock : Core: New
>
> Bug description:
> I'm using cairo-dock 2.2 rc1
> This happans under ubuntu lucid & maverick
> Also when synaptic finishes a work and rotate, a piece of plane under the
> icon is covered by a halo
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/cairo-dock-core/+bug/640398/+subscribe
>

I'm using compiz, but there was no problem using the previous version of
cairo-dock.
It's not a compiz effect and I'm not using openGL acceleration.
It happens for every type of window: if I click on a subdock or on an applet
I see a halo below,
if I click on a launcher a square below disappears.
The defects finish passing over the dock with the mouse.

Matthieu Baerts (matttbe) wrote :

This is strange... but can you try to change the effect when you click on a icon/applet
  => Open the config panel / Advanced Mode / Animated Icons

fulvio marro (fulmare90) wrote :

2010/9/17 Matthieu Baerts <email address hidden>

> This is strange... but can you try to change the effect when you click on a
> icon/applet
> => Open the config panel / Advanced Mode / Animated Icons
>
> --
> if I click on an icon a piece of plane disappears
> https://bugs.launchpad.net/bugs/640398
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Cairo-Dock : Core: New
>
> Bug description:
> I'm using cairo-dock 2.2 rc1
> This happans under ubuntu lucid & maverick
> Also when synaptic finishes a work and rotate, a piece of plane under the
> icon is covered by a halo
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/cairo-dock-core/+bug/640398/+subscribe
>

For each effect I apply on applets and applications, it compares an halo.
On launchers, the surrounding ground disappear

In addiction to this the effect wave doesn't work using cairo: nothing
happens.

It may be helpful the terminal welcome:

 ============================================================================

    Cairo-Dock version: 2.2.0-0rc1
    Compiled date: Sep 5 2010 22:50:27
    Running with OpenGL: 0
 ============================================================================

warning :
(/build/buildd/cairo-dock-2.2.0-0rc1-20100906/src/gldit/cairo-dock-modules.c:cairo_dock_load_modules_in_directory:400)

  while opening module '/usr/lib/cairo-dock/libcd_xfce-integration.so' :
(libthunar-vfs-1.so.2: cannot open shared object file: No such file or
directory)
_cd_find_volume_name_from_drive_name: assertion `pDrive != NULL' failed
warning :
(/build/buildd/cairo-dock-2.2.0-0rc1-20100906/src/gldit/cairo-dock-packages.c:cairo_dock_list_packages:642)

  while listing user packages in '(null)' : Error opening directory
'/home/sfx/.config/cairo-dock/third-party': No such file or directory

Now I've found that cairo-dock -o works and gives no problems.

Matthieu Baerts (matttbe) wrote :

This is strange, we should have the same thing with this cairo backend.
Maybe this bug is already fixed. The version 2.2.0-1 is building but as you can see there: https://launchpad.net/builders , there is a lot of other jobs at the same time...

I think this new version will be available tomorrow.
Can you confirm if this bug is fixed or not?

fulvio marro (fulmare90) wrote :
Download full text (4.5 KiB)

I've downloaded the new one from http://repository.glx-dock.org/ubuntu/dists/maverick/
The problem remains: when launchers move his basis disappears,
when other icons move the halo appears.

In addiction to this in version 2.2.0-2-1 cairo-dock -o gives this results
______________________________________________________________________________________________
 ============================================================================
 Cairo-Dock version: 2.2.0-2
 Compiled date: Sep 18 2010 12:10:12
 Running with OpenGL: 1
 ============================================================================

info on the system :
Linux sfx-laptop 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19 22:14:14 UTC 2010 i686 GNU/Linux
Couldn't guess if it was an applet's fault or not. It may have crashed inside the core or inside a thread

 ============================================================================
 Cairo-Dock version: 2.2.0-2
 Compiled date: Sep 18 2010 12:10:12
 Running with OpenGL: 1
 ============================================================================

showing the maintenance mode ...
_________________________________________________________________________________________________
and starts in maintenance mode. But I've fixed in some way and I'm not able to repeat the error any more.

Then I've noticed that the configuration tool crashes with this error:
_________________________________________________________________________________________________
info on the system :
Linux sfx-laptop 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19 22:14:14 UTC 2010 i686 GNU/Linux
The applet 'shortcuts' may be the culprit
 ============================================================================
 Cairo-Dock version: 2.2.0-2
 Compiled date: Sep 18 2010 12:10:12
 Running with OpenGL: 1
 ============================================================================

cairo_dock_set_status_message (Something went wrong with the applet 'shortcuts'...)
showing the maintenance mode ...
____________________________________________________________________________________________
It happens if "Animated icon" or "icon effect" is enabled and I click continuously on "systray" or "logout" applet
Sometimes it crashes without this log.

The applet gnomenu doesn't need "animated icon" or "icon effect" to crash when I click many times:
_________________________________________________________________________________________________

gconf backend
>>> INIT
Traceback (most recent call last):
  File "./GnoMenu", line 190, in <module>
    appleticon = AppletIcon( icon_object=myIcon)
  File "./GnoMenu", line 114, in __init__
    self.get_geometry()
  File "./GnoMenu", line 127, in get_geometry
    props = myIcon.GetAll();
  File "/usr/lib/pymodules/python2.6/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/pymodules/python2.6/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/pymodules/python2.6/dbus/connection.py", line 620, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "GetAll" with signature "" on interface ...

Read more...

fulvio marro (fulmare90) wrote :

Now I'm using the version 2.2.1~0alpha0: the problem persists

Fabounet (fabounet03) wrote :

is this problem still present with the 3.0 ? (I can' reproduce it, so I'm hoping it has somehow been fixed ^^ )

Changed in cairo-dock-core:
status: New → Incomplete
Changed in cairo-dock-core:
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers